header {
  background-color: orange;
  width: 100%;
  height: 80px;
  border-radius: 10px;
  display: flex;
  justify-content: space-between;
}
#headerleft {
  display: flex;
  align-items: center;
  justify-content: center;
}
#headerlogo {
  height: 150%;
}
#headerright {
  display: none;
  align-items: center;
  gap: 20px;
  padding-right: 10px;
}
.fuelchoice {
  display: flex;
  gap: 5px;
  align-items: center;
  padding: 5px;
  transition:
    background-color ease 200ms,
    border ease 200ms;
  cursor: pointer;
}
.fuelicon {
  font-size: 25px;
}
.igazole {
  border: 5px rgb(150, 102, 0) solid;
}
.isp95 {
  border: 5px rgb(0, 158, 0) solid;
}
.isp98 {
  border: 5px rgb(0, 92, 0) solid;
}
.ie85 {
  border: 5px blue solid;
}

.igazole:hover {
  border: 5px transparent solid;
  background-color: rgba(150, 102, 0, 0.356);
}
.isp95:hover {
  border: 5px transparent solid;
  background-color: rgba(0, 158, 0, 0.473);
}
.isp98:hover {
  border: 5px transparent solid;
  background-color: rgba(0, 92, 0, 0.534);
}
.ie85:hover {
  border: 5px transparent solid;
  background-color: rgb(0, 0, 138);
}

#bottom {
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}
#settings {
  background-color: orange;
  padding: 20px;
  border-radius: 10px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 15px;
  width: 300px;
}
#locateme {
  background-color: rgb(255, 214, 137);
  height: 50px;
  display: flex;
  gap: 5px;
  align-items: center;
  justify-content: center;
  font-size: 30px;
  font-weight: bold;
  transition: transform ease 200ms;
  cursor: pointer;
  width: 100%;
  border-radius: 5px;
}
#locateme:hover {
  transform: scale(1.03);
}
#locateme svg {
  height: 60%;
  width: auto;
}
#cp {
  height: 35px;
  width: 100%;
  display: flex;
  align-items: center;
  gap: 10px;
}
#cpinput {
  height: 100%;
  width: 100%;
  background-color: transparent;
  border: 2px rgb(255, 214, 137) solid;
  text-align: center;
  border-radius: 5px;
}
#cpinput:focus {
  outline: none;
}
#cpvalid {
  width: 50px;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: rgb(255, 214, 137);
  border-radius: 5px;
  cursor: pointer;
  transition: transform ease 200ms;
}
#cpvalid svg {
  height: 60%;
  width: auto;
}
#cpvalid:hover {
  transform: scale(1.1);
}
#datas {
  height: 100%;
  width: 100%;
  display: flex;
  gap: 10px;
}
#list {
  height: calc(100vh - 150px);
  width: 800px;
  background-color: orange;
  border-radius: 10px;
  padding: 10px;

  display: flex;
  flex-direction: column;
  box-sizing: border-box;
}

#listtop {
  text-align: center;
  padding: 10px 0;

  flex-shrink: 0;
}

#listtitle {
  font-size: 25px;
  font-weight: bold;
}

#listscroll {
  padding: 10px;
  display: flex;
  flex-direction: column;
  gap: 10px;

  flex-grow: 1;
  overflow-y: auto;
  min-height: 0;
}

#listscroll::-webkit-scrollbar {
  width: 18px;
}
#listscroll::-webkit-scrollbar-track {
  background: rgba(0, 0, 0, 0.2);
  border-radius: 10px;
}
#listscroll::-webkit-scrollbar-thumb {
  background-color: #c77700;
  border-radius: 10px;
}
#listscroll::-webkit-scrollbar-thumb:hover {
  background-color: #e68a00;
}

.station {
  background-color: #e68a00;
  flex-shrink: 0;
  border-radius: 5px;
  padding: 30px;
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.stationadress {
  font-size: 25px;
  text-decoration: underline;
}
.stationfuel {
  display: flex;
  gap: 10px;
  align-items: center;
}
.fuelcolor {
  height: 70px;
  width: 40px;
}
.gazoleprice {
  background-color: #c77700;
}
.sp95price {
  background-color: rgb(100, 167, 0);
}
.sp98price {
  background-color: rgb(0, 73, 0);
}
.e85price {
  background-color: blue;
}
.fuelprice {
  font-size: 50px;
  font-weight: bold;
}

#mapcontainer {
  height: 100%;
  width: 100%;
  background-color: orange;
  border-radius: 10px;
}
